Bug 223759 - NullPointerException at org.netbeans.modules.debugger.jpda.ui.ConnectPanel.getEditedArgs
NullPointerException at org.netbeans.modules.debugger.jpda.ui.ConnectPanel.ge...
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Martin Entlicher
issues@debugger
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-13 10:41 UTC by lehel
Modified: 2012-12-18 03:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.92 KB, text/plain)
2012-12-13 10:41 UTC, lehel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lehel 2012-12-13 10:41:48 UTC
Build: NetBeans IDE Dev (Build 201212120001)
VM: Java HotSpot(TM) Client VM, 23.6-b04, Java(TM) SE Runtime Environment, 1.7.0_10-b18
OS: Windows XP

User Comments:
lehel: Testing of http://wiki.netbeans.org/TS_72_JPDAdbg_DebuggingViews
Test suite: Sessions view 
   - Remote session - listening 
   - Remote session - attaching




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.debugger.jpda.ui.ConnectPanel.getEditedArgs(ConnectPanel.java:503)
   at org.netbeans.modules.debugger.jpda.ui.ConnectPanel.access$800(ConnectPanel.java:116)
   at org.netbeans.modules.debugger.jpda.ui.ConnectPanel$ConnectController.ok(ConnectPanel.java:649)
   at org.netbeans.modules.debugger.ui.actions.DebugMainProjectAction$AttachHistorySupport.perform(DebugMainProjectAction.java:307)
   at org.netbeans.modules.debugger.ui.actions.DebugMainProjectAction$AttachHistorySupport.access$100(DebugMainProjectAction.java:203)
   at org.netbeans.modules.debugger.ui.actions.DebugMainProjectAction$AttachHistorySupport$1.run(DebugMainProjectAction.java:249)
Comment 1 lehel 2012-12-13 10:41:50 UTC
Created attachment 129309 [details]
stacktrace
Comment 2 Martin Entlicher 2012-12-17 14:21:13 UTC
Fixed by changeset:   243144:80e6ba46801d
http://hg.netbeans.org/core-main/rev/80e6ba46801d
Comment 3 Quality Engineering 2012-12-18 03:03:05 UTC
Integrated into 'main-golden', will be available in build *201212180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/80e6ba46801d
User: mentlicher@netbeans.org
Log: #223759: Assure consistent connector and it's arguments fields.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo